Name:		regindexer
Version:	0.1
Release:	1%{?dist}
Summary:	Tool for creating an index of a container registry

License:	MIT
URL:		https://pagure.io/regindexer
Source0:	https://releases.pagure.org/regindexer/regindexer-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	python3-setuptools
BuildRequires:	python3-devel

Requires: python3-click
Requires: python3-fedmsg
Requires: python3-PyYAML
Requires: python3-requests
Requires: python3-six


%description
regindexer is a tool for creating an index of a container registry. It can
be run manually from the command line, or can run as a fedmsg consumer,
rebuilding the index when it sees messages from Bodhi.

%prep
%autosetup


%build
%py3_build


%install
%py3_install
install -m 0644 -D fedmsg.d/regindexer.py $RPM_BUILD_ROOT%{_sysconfdir}/fedmsg.d/regindexer.py
install -m 0644 -D config-example.yaml $RPM_BUILD_ROOT%{_sysconfdir}/regindexer/config.yaml
install -m 0755 -d $RPM_BUILD_ROOT%{_sharedstatedir}/regindexer

%files
%license LICENSE
%doc README.md
%{python3_sitelib}/*
%{_bindir}/regindexer
%config(noreplace) %{_sysconfdir}/regindexer
%config(noreplace) %{_sysconfdir}/fedmsg.d/regindexer.py
%attr(0755, fedmsg, fedmsg) %{_sharedstatedir}/regindexer
%exclude %{_sysconfdir}/fedmsg.d/*.py[co]

%changelog
* Thu Aug  2 2018 Owen Taylor <otaylor@redhat.com> - 0.1-1
- Initial version
